#--------------------------------------
#configure path (if needed) and name of
#some tools and files
#--------------------------------------

#XA Crossassembler by Andre Fachat and Jolse Maginnis
XA = xa

#directory of the "StartUp.XA" file
SXA = /Benten/Coding/C64

#Where to put the Backups
ArcDir = /home/baccy/BackUp
#--------------------------------------
# End of Config
# nothing needs to be changed below
#--------------------------------------

OBJ = iff.src dload.src i41.src i71.src i81.src ihd.src ldcommon.src ld41.src ldhd.src t41.src t71.src t81.src thd.src

HEAD = filelib.hx iff.hx dload.hx

BSS = iff.bss dload.bss


export DocDir = doc/


all: dload.c64 dl_test.c64


dload.c64: dload_si.src $(OBJ) $(HEAD) $(BSS)
	$(XA) -I$(SXA) -l dload_si.lab -o dload.c64 dload_si.src

dl_test.c64: dl_test.src
	$(XA) -I$(SXA) -l dl_test.lab -o dl_test.c64 dl_test.src

docs:
	$(MAKE) -C $(DocDir) all



clean:
	rm -f dload.c64 dl_test.c64


DAT := $(shell date +%Y%m%d)

distclean:
	tar cfvz $(ArcDir)/DLoadAll$(DAT).tar.gz *
	zip -9 $(ArcDir)/DLoadObj.zip DL_Test.c64

